OBMF="../../src/copbmf/cpp/copbmf"
COBMF="$OBMF -c"

EVAL="../../src/adj_error.py"
RESULTS="../../paper/figs/new_block_error.dat"
CYC_RESULTS="../../paper/figs/cyc_block_error.dat"

if [ -f "$RESULTS" ]
then
    rm -f "$RESULTS"
fi

for x in `seq -f %0.2f 0 0.05 0.5`
do
	echo -n "$x " >> "$RESULTS"
	$OBMF -i block_$x.dat -k 6 -o block_$x.out
	$EVAL block_0.00.dat block_$x.out | tr '\n' ' ' >> "$RESULTS"
	$EVAL block_$x.dat block_$x.out >> "$RESULTS"
done

if [ -f "$CYC_RESULTS" ]
then
    rm -f "$CYC_RESULTS"
fi

for x in `seq -f %0.2f 0 0.05 0.5`
do
	echo -n "$x " >> "$CYC_RESULTS"
	$COBMF -i block_$x.dat -k 6 -o cyc_block_$x.out
	$EVAL  block_0.00.dat cyc_block_$x.out | tr '\n' ' ' >> "$CYC_RESULTS"
	$EVAL  block_$x.dat cyc_block_$x.out >> "$CYC_RESULTS"
done

