%CREATE_SCALE_DATA Creates scalability data

scale=9:14;
k=16;

for i=scale
    n = 2^i;
    fname = ['block_' int2str(i) '.adj'];
    fprintf('Creating matrix %s\n', fname);
    s = n/k;
    B = ones(s);
    A = kron(eye(k), B); % Block diagonal
    noise = rand(n) < 0.2;
    A = double(xor(A, noise));
    fp = fopen(['block_' int2str(i) '.adj'], 'w');
    for j=1:n
        cols = find(A(j, :));
        fprintf(fp, '%d ', cols);
        fprintf(fp, '\n');
    end
    fclose(fp);
end